Bug 201957 - Autoload Instructions for the emacs-auctex package
Autoload Instructions for the emacs-auctex package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: emacs-auctex (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-09 18:34 EDT by Nick Roberts
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-12 06:19:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Roberts 2006-08-09 18:34:11 EDT
Description of problem:

In the package emacs-auctex-11.83 the README file says:

       The installation routine tries to make the modes provided by AUCTeX
    the default for all supported file types.  If this does not happen in
    your case, add
         (load "auctex.el" nil t t)

but auctex.el is not part of the package.  I think it would be a good idea
to say (something like) somewhere:

   Add the following to your .emacs file to autoload auctex:

  (setq load-path (append load-path '("/usr/share/emacs/site-lisp/auctex")))

  (autoload 'TeX-load-hack "/usr/share/emacs/site-lisp/tex-site")
  (TeX-load-hack)

so that the file don't have to be permanently/manually loaded.

Also I still don't know how to autoload the preview part.

Nick                                *** Emacs Mode for GDB ***
                             http://www.inet.net.nz/~nickrobnickrob/
Comment 1 Jonathan Underwood 2006-08-10 09:06:07 EDT
Hi Nick,

I'm confused by your report - if you install the emacs-auctex package from FE,
you shouldn't need to add anything to your .emacs at all - it should just work.
Are you just pointing out a documentation problem in the README file, or are you
also having a problem getting auctex and preview to work?
Comment 2 Nick Roberts 2006-08-12 06:19:43 EDT
I was trying to use it with Emacs 22 that I've checked out from Savannah which
doesn't have /usr/share/emacs/site-lisp in it's load-path.  Sorry for the
noise.
Comment 3 Jonathan Underwood 2006-08-12 06:51:23 EDT
Hi Nick - OK, no problem, thanks for closing the bug.

You've probably found the files already, but if you look in
/usr/share/emacs/site-lisp/site-start.d there are the startup files for auctex
and preview.

I also suspect you may need to re-byte compile the files - I am not sure that
the lisp interpreter in emacs maintains binary compatibility for compiled lisp
files between versions. 

Good luck.

Note You need to log in before you can comment on or make changes to this bug.